#-------------------------------------------------------------------------------
# Global Definitions
#-------------------------------------------------------------------------------
# Verbosity - 0 silent -> 9 verbose
debug			=	2

fork			=	yes
log_stderror		=	no

port			=	5060
children		=	4

dns			=	yes
rev_dns			=	yes
dns_srv_lb		=	yes
dns_try_naptr		=	yes
use_dns_failover	=	yes


mpath			= 	"/usr/lib/kamailio/modules_k/:usr/lib/kamailio/modules"

# server_header   	=       "Server: AlpineLinux SIP Server"
# user_agent_header	=	"User-Agent: AlpineLinux SIP Server"

tos			=	0x60

#-------------------------------------------------------------------------------
# Defines
#-------------------------------------------------------------------------------

# This provides helpful information in diagnosing problems.
# To reduce information logged to syslog, add an additional
# "# " to the next line:  "# #!define VERBOSE
#!define VERBOSE


# __DBRW is used for the username/password for all read/write
# database connections.  You can enter it here once, instead
# of multiple times in the Module definitions.

#!subst "/__DBRW/postgres:\/\/openser:openserrw@localhost\/openser/"


# __DBRO is used for the username/password for all read-only 
# database connections.  When used with a Provisioning server, this 
# may point to a different database from __DBRW

#!subst "/__DBRO/postgres:\/\/openser:openserrw@localhost\/openser/"


#-------------------------------------------------------------------------------
#  Module definitions
#-------------------------------------------------------------------------------

loadmodule "tm.so"
        #modparam("tm", "fr_inv_timer_next", 10000)
	#modparam("tm", "fr_timer", 10000)
	modparam ("tm", "contacts_avp", "i:600")
	# Non RFC 3261 compliant, but allows us to go to voicemail
	modparam ("tm", "disable_6xx_block", 1)

loadmodule "tmx.so"
loadmodule "sl.so"
loadmodule "rr.so"
	modparam ( "rr", "enable_full_lr", 1 )
loadmodule "maxfwd.so"
loadmodule "usrloc.so"
	modparam ("usrloc", "db_mode", 2)
	modparam ("usrloc", "db_url", "__DBRW")

loadmodule "registrar.so"
loadmodule "pv.so"
loadmodule "uac.so"
loadmodule "avpops.so"

loadmodule "auth.so"
loadmodule "auth_db.so"
	modparam ("auth_db", "calculate_ha1", 1)
	# We use the plaintext password
	modparam ("auth_db", "password_column", "password")
	modparam ("auth_db", "db_url", "__DBRO")


loadmodule "xlog.so"
	modparam ("xlog", "buf_size", 8192)
loadmodule "dialog.so"
	modparam ("dialog", "default_timeout", 43200 )
	modparam ("dialog", "db_url", "__DBRW")
	modparam ("dialog", "db_mode", 0 ) 
	modparam ("dialog", "dlg_flag", 3 )
	modparam ( "dialog", "hash_size", 65536 )

loadmodule "enum.so"
	modparam ("enum", "domain_suffix", "enum.jwm2.net")
loadmodule "siputils.so"
loadmodule "textops.so"

loadmodule "sqlops.so"
	modparam ( "sqlops", "sqlcon", "sqlconrw=>__DBRW")
	modparam ( "sqlops", "sqlcon", "sqlconro=>__DBRO")

loadmodule "domain.so"
	modparam ("domain", "db_url", "__DBRO")

# For the Trusted table
loadmodule "permissions.so"
	modparam ("permissions", "db_url", "__DBRO")


# Dialplan is for prefix and PIN transfoms
loadmodule	"dialplan.so"
	modparam ( "dialplan", "db_url", "__DBRO")
	modparam ( "dialplan", "attrs_pvar", "$var(dp_attrs)")

loadmodule "htable.so"                  # Store accountid at dialog creation
      # modparam ( "htable", "htable", "dialog=>size=16;dbtable=htable_dialog;")
      modparam ( "htable", "htable", "dialog=>size=16;")
      # Create the table as create table htable_dialog as select * from htable;
      # htable size is size^2 (2^16 = 65536) 


# Module for simple ACL support
loadmodule "group.so"
	modparam ("group", "db_url", "__DBRO")

# Module for subscribe/publish
loadmodule "presence.so"
	modparam ("presence", "db_url", "__DBRW")

loadmodule "sca.so"
	modparam ("sca", "db_url", "__DBRW")
	modparam ("sca", "domain", "rdb.test.net")

loadmodule "db_postgres.so"


# Allow sercmd to full fifo management
loadmodule "kex.so"      
loadmodule "ctl.so"    
loadmodule "cfg_rpc.so"
loadmodule "mi_rpc.so"
